=== debian/changelog ===
obs-ashmanix-countdown (1.2.0-2) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:32:10 -0300

obs-ashmanix-countdown (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to be compliant with new
        upstream release.
      - Removed all patches applied by the upstream (thanks):
          ~ 020_add-build-of-tree.patch
          ~ 030_fix-EOF.patch
          ~ 040_add-en-US.patch
          ~ 050_add-pt-br.patch
          ~ 060_adjustments-en-GB.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Feb 2023 21:42:15 -0300

obs-ashmanix-countdown (1.1.0-3) unstable; urgency=medium

  * debian/control:
      - Added Enhances line.
      - Dropped Multi-Arch because this plugin uses qtbase5.
  * debian/rules: fixed execute_after_dh_install target.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2023 11:42:44 -0300

obs-ashmanix-countdown (1.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: set 'Multi-Arch: same'.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2023 06:05:15 -0300

obs-ashmanix-countdown (1.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1030611)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Feb 2023 07:58:09 -0300
