=== debian/changelog ===
obs-ashmanix-countdown (1.3.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:23:52 -0300

obs-ashmanix-countdown (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.
  * debian/patches/010_change-project-name.patch:
      - Added Forwarded field.
      - Updated to be compliant with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Jun 2023 10:09:50 -0300
