=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
 Enhances: obs-studio
+Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a countdown timer
  This plugin lets to use a text source in OBS to show a countdown timer that
  updates in real time. This is useful to show to viewers the time left before
