## obs-ashmanix-countdown 1.3.3

=== debian/changelog ===
obs-ashmanix-countdown (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.
  * debian/copyright: added new upstream copyholders.
  * debian/patches/:
      - 010_change-project-name.patch: updated to be compliant with the new
        upstream release.
      - 020_fix-spelling.patch: created to fix a spelling error in final binary.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 14 Sep 2023 11:15:03 -0300
