=== debian/changelog ===
obs-ashmanix-countdown (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1. (Closes: #1060938, #1071165)
  * debian/clean: updated to remove files forgotten by the upstream after the
    build.
  * debian/control:
      - Bumped Standards-Version to 4.7.0.
      - Changed from qtbase5-dev to qt6-base-dev in Build-Depends field.
  * debian/copyright: updated packaging and upstream copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_fix-spelling.patch: removed because the upstream applied this
        patch. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 22 Nov 2024 00:41:35 -0300
