## obs-ashmanix-countdown 2.0.8

=== debian/changelog ===
obs-ashmanix-countdown (2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 17 Jan 2025 12:30:25 -0300

obs-ashmanix-countdown (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_new-translations.patch: removed because the upstream applied this
        patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 16 Jan 2025 12:17:02 -0300

obs-ashmanix-countdown (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_new-translations.patch: created to add new translations to pt-BR
        and en-GB.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Jan 2025 23:48:18 -0300

obs-ashmanix-countdown (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 17 Dec 2024 22:48:46 -0300

obs-ashmanix-countdown (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Dec 2024 19:49:44 -0300

obs-ashmanix-countdown (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Dec 2024 14:09:38 -0300
