## obs-ashmanix-countdown 2.0.9

=== debian/changelog ===
obs-ashmanix-countdown (2.0.9-1ubuntu1) plucky; urgency=medium

  * Fix deprecation warnings being treated as errors.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Mar 2025 22:40:01 -0600

obs-ashmanix-countdown (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Jan 2025 23:26:21 -0300
