=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: obs-ashmanix-countdown
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qt6-base-dev
+Standards-Version: 4.7.0
 Homepage: https://obsproject.com/forum/resources/ashmanix-countdown-timer.1610/
 Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-countdown
 Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-countdown.git
