## obs-ashmanix-countdown 2.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,19 @@
 
 target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/lib)
 
-target_sources(${CMAKE_PROJECT_NAME} PRIVATE src/plugin-main.cpp src/countdown-widget.hpp src/countdown-widget.cpp)
+target_sources(
+  ${CMAKE_PROJECT_NAME}
+  PRIVATE src/plugin-main.cpp
+          src/countdown-widget.hpp
+          src/countdown-widget.cpp
+          src/widgets/ashmanix-timer.hpp
+          src/widgets/ashmanix-timer.cpp
+          src/widgets/settings-dialog.hpp
+          src/widgets/settings-dialog.cpp
+          src/widgets/obs-dock-wrapper.hpp
+          src/utils/timer-utils.cpp
+          src/utils/timer-utils.hpp
+          src/utils/obs-utils.cpp
+          src/utils/obs-utils.hpp)
 
 set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})
