=== debian/changelog ===
obs-ashmanix-countdown (2.0.10-2) unstable; urgency=medium

  * debian/control: added libxkbcommon-dev to Build-Depends field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Mar 2025 17:38:20 -0300

obs-ashmanix-countdown (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10. (Closes: #1099826)
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.
  * debian/rules: removed no longer needed --compile-no-warning-as-error
    because the upstream fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Mar 2025 14:54:08 -0300

obs-ashmanix-countdown (2.0.9-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/rules: added temporarily --compile-no-warning-as-error to build
    system to mitigate a FTBFS. (see #1099826)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 26 Mar 2025 14:03:11 -0300
