=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: obs-ashmanix-countdown
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qt6-base-dev
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libobs-dev (>= 29),
+               libxkbcommon-dev,
+               qt6-base-dev
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/ashmanix-countdown-timer.1610/
 Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-countdown
 Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-countdown.git
 
 Package: obs-ashmanix-countdown
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
+Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a countdown timer
