=== debian/changelog ===
obs-ashmanix-countdown (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0. (Closes: #1097490)
  * debian/control: removed relationship from build dependency libobs-dev.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Sep 2025 22:50:03 -0300
