=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libobs-dev (>= 29),
+               libobs-dev,
                libxkbcommon-dev,
                qt6-base-dev
 Standards-Version: 4.7.2
