=== debian/watch ===
version=4
https://github.com/ashmanix/obs-plugin-countdown/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
