## obs-ashmanix-countdown 2.1.1

=== debian/changelog ===
obs-ashmanix-countdown (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Feb 2026 13:55:16 -0300
