=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: obs-ashmanix-countdown
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev,
                libxkbcommon-dev,
                qt6-base-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/ashmanix-countdown-timer.1610/
 Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-countdown
 Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-countdown.git
