=== debian/watch ===
Version: 5

Template: Github
Owner: ashmanix
Project: obs-plugin-countdown
